<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>OverrideCombiner (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OverrideCombiner (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OverrideCombiner.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/OverrideCombiner.html" target="_top">Frames</a></li>
<li><a href="OverrideCombiner.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.configuration2.tree.NodeCombiner">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.tree</div>
<h2 title="Class OverrideCombiner" class="title">Class OverrideCombiner</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">org.apache.commons.configuration2.tree.NodeCombiner</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.tree.OverrideCombiner</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OverrideCombiner</span>
extends <a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></pre>
<div class="block"><p>
 A concrete combiner implementation that is able to construct an override
 combination.
 </p>
 <p>
 An <em>override combination</em> means that nodes in the first node
 structure take precedence over nodes in the second, or - in other words -
 nodes of the second structure are only added to the resulting structure if
 they do not occur in the first one. This is especially suitable for dealing
 with the properties of configurations that are defined in an
 <code>override</code> section of a configuration definition file (hence the
 name).
 </p>
 <p>
 This combiner will iterate over the second node hierarchy and find all nodes
 that are not contained in the first hierarchy; these are added to the result.
 If a node can be found in both structures, it is checked whether a
 combination (in a recursive way) can be constructed for the two, which will
 then be added. Per default, nodes are combined, which occur only once in both
 structures. This test is implemented in the <code>canCombine()</code>
 method.
 </p>
 <p>
 As is true for the <a href="../../../../../org/apache/commons/configuration2/tree/UnionCombiner.html" title="class in org.apache.commons.configuration2.tree"><code>UnionCombiner</code></a>, for this combiner
 list nodes are important. The <code>addListNode()</code> can be called to
 declare certain nodes as list nodes. This has the effect that these nodes
 will never be combined.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: OverrideCombiner.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.tree.NodeCombiner">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.commons.configuration2.tree.<a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html#HANDLER">HANDLER</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/OverrideCombiner.html#OverrideCombiner--">OverrideCombiner</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/OverrideCombiner.html#addAttributes-org.apache.commons.configuration2.tree.ImmutableNode.Builder-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">addAttributes</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode.Builder</a>&nbsp;result,
             <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node1,
             <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node2)</code>
<div class="block">Handles the attributes during a combination process.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/OverrideCombiner.html#canCombine-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">canCombine</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node1,
          <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node2,
          <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;child)</code>
<div class="block">Tests if a child node of the second node can be combined with the given
 child node of the first node.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/OverrideCombiner.html#combine-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">combine</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node1,
       <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node2)</code>
<div class="block">Constructs an override combination for the passed in node structures.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.tree.NodeCombiner">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.tree.<a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html#addListNode-java.lang.String-">addListNode</a>, <a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html#getListNodes--">getListNodes</a>, <a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html#isListNode-org.apache.commons.configuration2.tree.ImmutableNode-">isListNode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OverrideCombiner--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OverrideCombiner</h4>
<pre>public&nbsp;OverrideCombiner()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="combine-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>combine</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;combine(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node1,
                             <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node2)</pre>
<div class="block">Constructs an override combination for the passed in node structures.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html#combine-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">combine</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree">NodeCombiner</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node1</code> - the first node</dd>
<dd><code>node2</code> - the second node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resulting combined node structure</dd>
</dl>
</li>
</ul>
<a name="addAttributes-org.apache.commons.configuration2.tree.ImmutableNode.Builder-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAttributes</h4>
<pre>protected&nbsp;void&nbsp;addAttributes(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.Builder.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode.Builder</a>&nbsp;result,
                             <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node1,
                             <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node2)</pre>
<div class="block">Handles the attributes during a combination process. First all attributes
 of the first node are added to the result. Then all attributes of the
 second node, which are not contained in the first node, are also added.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>result</code> - the resulting node</dd>
<dd><code>node1</code> - the first node</dd>
<dd><code>node2</code> - the second node</dd>
</dl>
</li>
</ul>
<a name="canCombine-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-org.apache.commons.configuration2.tree.ImmutableNode-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>canCombine</h4>
<pre>protected&nbsp;<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;canCombine(<a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node1,
                                   <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;node2,
                                   <a href="../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&nbsp;child)</pre>
<div class="block">Tests if a child node of the second node can be combined with the given
 child node of the first node. If this is the case, the corresponding node
 will be returned, otherwise <b>null</b>. This implementation checks
 whether the child node occurs only once in both hierarchies and is no
 known list node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node1</code> - the first node</dd>
<dd><code>node2</code> - the second node</dd>
<dd><code>child</code> - the child node (of the first node)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a child of the second node, with which a combination is possible</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OverrideCombiner.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/OverrideCombiner.html" target="_top">Frames</a></li>
<li><a href="OverrideCombiner.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.configuration2.tree.NodeCombiner">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
